% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/investigate_signature.R
\name{investigate_signature}
\alias{investigate_signature}
\title{Investigate a given DGE dataset}
\usage{
investigate_signature(
  expr,
  output_lib,
  filter_threshold = NULL,
  filter_prop = NULL,
  similarity_threshold = 0.2,
  paired = TRUE,
  output_cell_lines = NULL,
  gene_column = "Symbol",
  logfc_column = "logFC",
  pval_column = "PValue",
  source_name = "Input",
  source_cell_line = "NA",
  source_time = "NA",
  source_concentration = "NA"
)
}
\arguments{
\item{expr}{A dataframe that has differential gene expression analysis}

\item{output_lib}{The library to search}

\item{filter_threshold}{The Filtering threshold.}

\item{filter_prop}{The Filtering proportion.}

\item{similarity_threshold}{The Similarity Threshold}

\item{paired}{Logical. Whether to query iLINCS separately
for up and down regulated genes}

\item{output_cell_lines}{A character vector of cell lines
to restrict the output search to.}

\item{gene_column}{The name of the column that has gene symbols}

\item{logfc_column}{The name of the column that has log_2 fold-change values}

\item{pval_column}{The name of the column that has p-values}

\item{source_name}{(Optional) An annotation column to identify
the signature by name}

\item{source_cell_line}{(Optional) An annotation column to specify
the cell line for the input data}

\item{source_time}{(Optional) An annotation column to specify the
time for the input data}

\item{source_concentration}{(Optional) An annotation column to specify
the concentration for the input data}
}
\value{
A tibble with the the similarity scores and signature metadata
}
\description{
\ifelse{html}{\href{https://lifecycle.r-lib.org/articles/stages.html#experimental}{\figure{lifecycle-experimental.svg}{options: alt='[Experimental]'}}}{\strong{[Experimental]}}
}
\details{
This function takes a DGE Data frame and then
finds concordant signatures to that.
This generates an L1000 signature from the DGE
dataset and then uploads that signature to
iLINCS to find the relevant concordant (or discordant) signatures
}
\examples{
TRUE
}
