% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/investigate_target.R
\name{investigate_target}
\alias{investigate_target}
\title{Investigate a Given Gene or Drug}
\usage{
investigate_target(
  target,
  input_lib,
  output_lib,
  filter_threshold = 0.85,
  similarity_threshold = 0.321,
  paired = TRUE,
  input_cell_lines = NULL,
  output_cell_lines = NULL,
  discordant = FALSE
)
}
\arguments{
\item{target}{The name of the gene or drug}

\item{input_lib}{One of "OE", "KD" or "CP". Marks the database to use.}

\item{output_lib}{One of "OE", "KD" or "CP". Marks the database to query.}

\item{filter_threshold}{The Filtering threshold.}

\item{similarity_threshold}{The Similarity Threshold}

\item{paired}{Logical. Whether to query iLINCS separately
for up and down regulated genes}

\item{input_cell_lines}{A character vector of cell lines to
restrict our search for input signatures to.}

\item{output_cell_lines}{A character vetor of cell lines to
restrict the output search to.}

\item{discordant}{Logical. Whether to look for discordant signatures}
}
\value{
A tibble with the the similarity scores and signature metadata
}
\description{
\ifelse{html}{\href{https://lifecycle.r-lib.org/articles/stages.html#experimental}{\figure{lifecycle-experimental.svg}{options: alt='[Experimental]'}}}{\strong{[Experimental]}}
}
\details{
This function takes the name of a gene or a drug and a
database to use to pull signatures
from and then queries iLINCS to get concordant signatures
}
\examples{
TRUE
}
