% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/prepare_signature.R
\name{prepare_signature}
\alias{prepare_signature}
\title{Prepare an L1000 Signature froma given differential gene expression output}
\usage{
prepare_signature(
  dge,
  gene_column = "Symbol",
  logfc_column = "logFC",
  pval_column = "PValue"
)
}
\arguments{
\item{dge}{A dataframe-like object that has the differential
gene expression information}

\item{gene_column}{The name of the column that has gene symbols}

\item{logfc_column}{The name of the column that has log_2 fold-change values}

\item{pval_column}{The name of the column that has p-values}
}
\value{
A tibble with the L1000 signature.
}
\description{
\ifelse{html}{\href{https://lifecycle.r-lib.org/articles/stages.html#experimental}{\figure{lifecycle-experimental.svg}{options: alt='[Experimental]'}}}{\strong{[Experimental]}}
}
\details{
This function takes a differential gene expression output from any pipeline
like edgeR or DeSeq2 or any that give you the gene symbol,
log_2 fold-change and p-value
and transforms that into an L1000 signature for later processing.
}
\examples{
TRUE
}
